W3C home > Mailing lists > Public > public-html-bugzilla@w3.org > September 2009

[Bug 7379] HTML5 should reference SVG1.1 as well as SVG1.2T

From: <bugzilla@wiggum.w3.org>
Date: Thu, 17 Sep 2009 22:31:49 +0000
To: public-html-bugzilla@w3.org
Message-Id: <E1MoPW1-00070J-5F@wiggum.w3.org>
http://www.w3.org/Bugs/Public/show_bug.cgi?id=7379


Ian 'Hixie' Hickson <ian@hixie.ch> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |WONTFIX




--- Comment #1 from Ian 'Hixie' Hickson <ian@hixie.ch>  2009-09-17 22:31:48 ---
The only reason I reference 1.2 Tiny specifically and not an unversioned URL is
that the definition of how to process <svg:script> wasn't included in SVG until
SVG Tiny 1.2, and the general unversioned /TR/SVG URL is still 1.1.

If it wasn't for that, I wouldn't be referencing any version at all. HTML5
doesn't require any particular version of SVG, and I don't think coupling them
together is a good idea, since it means that updating one implies updating the
other (we had that problem with SVG and CSS2, if you recall).


-- 
Configure bugmail: http://www.w3.org/Bugs/Public/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug.
Received on Thursday, 17 September 2009 22:31:59 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 20:01:01 UTC